Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class MailboxAccessDeniedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException
                              |
                              +--com.compoze.collab.PermissionException
                                    |
                                    +--com.compoze.collab.groupware.MailboxAccessDeniedException

All Implemented Interfaces:
  java.io.Serializable

public class MailboxAccessDeniedException
extends PermissionException

This exception is thrown when the user could not access the specified mailbox.

See Also:
  Serialized Form

Constructor Summary
`MailboxAccessDeniedException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey resourceKey)` Constructs a MailboxAccessDeniedException.
`MailboxAccessDeniedException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey resourceKey, java.lang.Object param)` Constructs a MailboxAccessDeniedException.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailboxAccessDeniedException

    public MailboxAccessDeniedException(com.compoze.collab.spi.Context ctx,
                                        com.compoze.collab.spi.ExceptionResourceKey resourceKey)

  Constructs a MailboxAccessDeniedException.
  Parameters:
    `ctx` - Context for this exception
    `resourceKey` - the base key in the resource file

### MailboxAccessDeniedException

    public MailboxAccessDeniedException(com.compoze.collab.spi.Context ctx,
                                        com.compoze.collab.spi.ExceptionResourceKey resourceKey,
                                        java.lang.Object param)

  Constructs a MailboxAccessDeniedException.
  Parameters:
    `ctx` - Context for this exception
    `resourceKey` - the base key in the resource file
    `param` - the parameter to the exception message

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.